Create a new API group in a workspace. Include name, description, and optional tags.
Authentication: required
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/apigroup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/x-xanoscript' \
--data 'api_group foo {
canonical = "custom"
swagger = {active: true}
}
'{
"id": 1,
"created_at": "2023-04-19 21:01:32+0000",
"updated_at": "2023-04-19 21:01:32+0000",
"name": "API Group Test",
"description": "My API groups description",
"docs": "Documentation",
"guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
"canonical": "FRzyRdY0",
"swagger": true,
"documentation": {
"link": "<string>"
},
"branch": "v1",
"tag": [
"example tag"
],
"xanoscript": {
"status": "ok",
"value": "<string>",
"message": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The body is of type string.
"api_group foo {\n canonical = \"custom\"\n swagger = {active: true}\n}\n"
Success!
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/apigroup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/x-xanoscript' \
--data 'api_group foo {
canonical = "custom"
swagger = {active: true}
}
'{
"id": 1,
"created_at": "2023-04-19 21:01:32+0000",
"updated_at": "2023-04-19 21:01:32+0000",
"name": "API Group Test",
"description": "My API groups description",
"docs": "Documentation",
"guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
"canonical": "FRzyRdY0",
"swagger": true,
"documentation": {
"link": "<string>"
},
"branch": "v1",
"tag": [
"example tag"
],
"xanoscript": {
"status": "ok",
"value": "<string>",
"message": "<string>"
}
}